Bug 1624453 - Host "hostname" moved to Non-Operational state as host does not meet the cluster's minimum CPU level. Missing CPU features : ssbd, spec_ctrl
Summary: Host "hostname" moved to Non-Operational state as host does not meet the clus...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor-ng
Version: 4.2.5
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.2.7
: ---
Assignee: Yuval Turgeman
QA Contact: Huijuan Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1547768
TreeView+ depends on / blocked
 
Reported: 2018-08-31 15:59 UTC by Frank DeLorey
Modified: 2020-08-03 15:26 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-22 08:30:37 UTC
oVirt Team: Node
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3599571 None None None 2018-08-31 21:40:07 UTC
Red Hat Product Errata RHSA-2018:3470 None None None 2018-11-05 15:02:34 UTC
oVirt gerrit 107239 master MERGED bll: Added a precheck when creating storage domain 2020-08-11 01:30:08 UTC

Description Frank DeLorey 2018-08-31 15:59:53 UTC
Description of problem: The ssbd and spec_ctrl cpu flags are missing after upgrading host to rhvh-4.2.5.2-0.20180813 and hence host is not able to join the existing cluster.The flags return after booting with with rhvh-4.2.4.3-0.20180622.


Version-Release number of selected component (if applicable):

RHV 4.2.5
rhvh-4.2.5.2-0.20180813


How reproducible:

Every time


Steps to Reproduce:
1. Upgrade RHV host to rhvh-4.2.5.2-0.20180813

Actual results:

Host fails to join cluster.

Expected results:

Host should join cluster without any errors.


Additional info:

Comment 1 Ryan Barry 2018-08-31 19:00:51 UTC
This is not related to RHVH. We don't touch these profiles.

Can you please capture cpuinfo and virsh capabilities before and after the upgrade so I can move to the appropriate team? I'm not sure whether this is ovirt-engine or libvirt, since comments on https://bugzilla.redhat.com/show_bug.cgi?id=1584219 indicate that libvirt may cache microcode "forever", and microcode changes may need a cache flush

Comment 5 Michal Skrivanek 2018-09-01 05:36:05 UTC
Flags show it’s not running recent enough firmware and it doesn’t support spec_ctrl nor ssbd. 
Can you add the same output from the same host when running rhvh-4.2.4.3-0.20180622?

Comment 8 Michal Skrivanek 2018-09-07 18:30:39 UTC
Microcode versions differ. Are they really the same host? How’s that possible?

Comment 17 cshao 2018-09-13 09:12:29 UTC
QE can reproduce this issue.

Test version:
rhvh-4.2.4.3-0.20180622.
rhvh-4.2.5.2-0.20180813
rhv-4.2.6-4

Test steps:
1. Install rhvh-4.2.4.3-0.20180622.
2. Register to engine.
3. Upgrade to rhvh-4.2.5.2-0.20180813 via RHVM GUI.

Test result:
Host "hostname" moved to Non-Operational state as host does not meet the cluster's minimum CPU level. Missing CPU features : spec_ctrl

Comment 18 Sandro Bonazzola 2018-09-21 07:36:01 UTC
(In reply to cshao from comment #17)

> Test steps:
> 1. Install rhvh-4.2.4.3-0.20180622.
> 2. Register to engine.
> 3. Upgrade to rhvh-4.2.5.2-0.20180813 via RHVM GUI.
> 
> Test result:
> Host "hostname" moved to Non-Operational state as host does not meet the
> cluster's minimum CPU level. Missing CPU features : spec_ctrl

Chen, can you please try to reproduce with latest released 4.2.6 RHV-H?
If microcode_ctl related, 4.2.6 should have the right one included.

Comment 19 cshao 2018-09-21 12:59:01 UTC
(In reply to Sandro Bonazzola from comment #18)
> (In reply to cshao from comment #17)
> 
> > Test steps:
> > 1. Install rhvh-4.2.4.3-0.20180622.
> > 2. Register to engine.
> > 3. Upgrade to rhvh-4.2.5.2-0.20180813 via RHVM GUI.
> > 
> > Test result:
> > Host "hostname" moved to Non-Operational state as host does not meet the
> > cluster's minimum CPU level. Missing CPU features : spec_ctrl
> 
> Chen, can you please try to reproduce with latest released 4.2.6 RHV-H?
> If microcode_ctl related, 4.2.6 should have the right one included.

Can't reproduce this issue with latest released 4.2.6 RHV-H.

Test version: 
Upgrade from rhvh-4.2.4.3-0.20180622
to: RHVH 4.2.6 async - rhvh-4.2.6.1-0.20180907.0+1
to: RHVH 4.2.7 - rhvh-4.2.7.0-0.20180918.0+1

Test steps:

1. Install rhvh-4.2.4.3-0.20180622.
2. Register to engine.
3. Upgrade to 4.2.6 / 4.2.7 via RHVM GUI.

Test result:
Upgrade can succeed, RHVH can up.

So the bug is fixed, change bug status to VERIFIED.

Comment 21 errata-xmlrpc 2018-11-05 15:00:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3470

Comment 24 Daniel Gur 2019-08-28 13:12:33 UTC
sync2jira

Comment 25 Daniel Gur 2019-08-28 13:16:45 UTC
sync2jira


Note You need to log in before you can comment on or make changes to this bug.